/* Global styles */
body {
    background-color: #0e1117;
    color: #c1cad2;
    font-family: "anonymous pro", monospace;
    margin: 0;
}

td, th {
    border: 2px solid;
}

table {
    border-collapse: collapse;
}

caption {
    border: 1px solid;
}

a {
    color: #44b78b;
}

div {
    padding: 5px;
}

/* Validator */
footer #htmlcss {
    background-color: rgb(0, 0, 0) !important;
    border: 2px solid !important;
    padding: 5px !important;
    width: fit-content !important;
    color: white !important;
    text-align: center;
}

footer #htmlcss a {
    color: #5C95FF;
}

/* Classes */
.grid {
    display: grid;
    grid-template: 1fr 3fr 1fr / 1fr 3fr 1fr;
    gap: 2px;
    margin: 0;
    padding: 0;
    background-color: white;
    border: 2px solid white;
    color: white;
}

.fsgrid {
    display: grid;
    grid-template: 1fr 3fr 1fr / 1fr 3fr 1fr;
    gap: 2px;
    margin: 0;
    padding: 0;
    height: calc(100vh - 4px);
    width: calc(100vw - 4px);
    background-color: white;
    border: 2px solid white;
    color: white;
}

.trilayergrid {
    display: grid;
    grid-template: 1fr 3fr 1fr / 1fr 1fr;
    gap: 2px;
    margin: 0;
    padding: 0;
    height: calc(100vh - 4px);
    width: calc(100vw - 4px);
    background-color: white;
    border: 2px solid white;
    color: white;
}

.dualcolumngrid {
    display: grid;
    grid-template: 1fr 4fr / 1fr 1fr;
    gap: 2px;
    margin: 0;
    padding: 0;
    height: calc(100vh - 4px);
    width: calc(100vw - 4px);
    background-color: black;
    border: 2px solid white;
    color: white;
}

.gridhead {
    border: 2px solid white;
    grid-column: 1 / span 3;
    padding: 5px;
    text-align: center;
}

.gridleft {
    text-align: center;
}

.gridmain {
    padding: 5px;
    text-align: center;
}

.gridright {
    text-align: center;
}

.gridfoot {
    grid-column: 1 / span 3;
    text-align: center;
}

.title {
    font-family: "Titan One", serif;
    font-weight: 400;
    font-style: normal;
    font-size: 40pt;
    margin: 5px;
}

.color0 {
    background-color: #0e1117;
}

.color1 {
    background-color: #F87575;
}

.color2 {
    background-color: #FFA9A3;
}

.color3 {
    background-color: #B9E6FF;
}

.color4 {
    background-color: #5C95FF;
}

.color5 {
    background-color: #7E6C6C;
}

.hyperlink-backup {
    color: #F87575;
}

.tablenb td {
    border: none;
}

.tablenb th {
    border: none;
}

.border {
    border: 2px solid;
    padding: 5px;
}

.blackborder {
    border: 2px solid black;
    padding: 5px;
}

.font-courier {
    font-family: 'Courier New', Courier, monospace;
}

.font-impact {
    font-family: Impact, 'Arial Narrow Bold', sans-serif;
}

.font-titan-one {
    font-family: "Titan One", serif;
    font-weight: 400;
    font-style: normal;
}
